# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/cmp /usr/bin/diff tcl-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name edb
%define major 1
%define libname lib%{name}%{major}
%define libnamedev lib%{name}-devel

Summary: 	Enlightenment database access library
Name: 		edb
Version: 	1.0.5.050
Release: 	alt1_13
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	http://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.bz2
Patch0:		0001-fix-literal.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(zlib)
Source44: import.info

%description
Edb is a simple, clean high-level db access/storage library.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}.

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{libname}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q
%patch0 -p1


%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-test --disable-gtk --disable-static
%make_build

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS COPYING README src/LICENSE
%{_bindir}/edb_*

%files -n %libname
%{_libdir}/lib*.so.%{major}*

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%_libdir/libedb.so
%{_includedir}/Edb.h


%changelog
* Fri Feb 10 2023 Igor Vlasenko <viy@altlinux.org> 1.0.5.050-alt1_13
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.5.050-alt1_11
- update by mgaimport

* Thu Mar 07 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.5.050-alt1_10
- new version

* Mon May 21 2012 Yuri N. Sedunov <aris@altlinux.org> 1.0.5.042-alt5.20080410
- fixed build

* Fri Mar 11 2011 Yuri N. Sedunov <aris@altlinux.org> 1.0.5.042-alt4.20080410
- rebuild for debuginfo

* Sat Nov 06 2010 Yuri N. Sedunov <aris@altlinux.org> 1.0.5.042-alt3.20080410
- rebuild for set-version

* Tue Nov 10 2009 Yuri N. Sedunov <aris@altlinux.org> 1.0.5.042-alt2.20080410
- removed obsolete %%post{,un}_ldconfig calls

* Thu Apr 03 2008 Igor Androsov <blake@altlinux.org> 1.0.5.042-alt1.20080410
- CVS from 20080403
- * Change group to Graphical desktop/Enlightenment

* Mon Sep 17 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.0.5.008-alt1.20070917
- CVS from 20070917.

* Thu Sep 06 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.0.5.008-alt1.20070905
- CVS from 20070905.

* Tue Jul 31 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.0.5.007-alt1.20070731
- CVS from 20070731.

* Wed May 09 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.0.5.007-alt1.20070509
- CVS from 20070509.
- Fix BuildRequires.

* Wed Sep 20 2006 Igor Zubkov <icesik@altlinux.org> 1.0.5.007-alt1.20060920
- 20060910 -> 20060920

* Sun Sep 10 2006 Igor Zubkov <icesik@altlinux.org> 1.0.5.007-alt1.20060910
- update from cvs (1.0.5.007 20060412 -> 1.0.5.007-alt1.20060910)
- buildreq

* Wed Apr 12 2006 Igor Zubkov <icesik@altlinux.ru> 1.0.5.007-alt1.20060412
- updated from cvs

* Mon Apr 03 2006 Igor Zubkov <icesik@altlinux.ru> 1.0.5-alt2_002_20060327.1
- updated from cvs
- buildreq

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.5-alt2_002_20050530.1
- Rebuilt for new pkg-config dependencies.

* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 1.0.5-alt2_002_20050530
- updated from cvs.

* Tue May 24 2005 Denis Klykvin <nikon@altlinux.ru> 1.0.5-alt2_002_20050524
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 1.0.5-alt2_002_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 1.0.5-alt2_002_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 1.0.5-alt2_002_20050428
- updated from cvs.
- minor spec fixes.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 1.0.5-alt2_002_20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 1.0.5-alt2_002_20050421
- updated from cvs

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 1.0.5-alt2_002_20050329
- updated from cvs.

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 1.0.5-alt1_20050122
- updated from cvs.

* Tue Dec 28 2004 Alex Murygin <murygin@altlinux.ru> 1.0.5-alt1_20041228
- updated from cvs.

* Fri Dec 17 2004 Alex Murygin <murygin@altlinux.ru> 1.0.5-alt1_20041216
- updated from cvs.

* Sun Oct 24 2004 Alex Murygin <murygin@altlinux.ru> 1.0.5-alt1_20041022
- updated from cvs.
- packadge edb-utils splitted to edb_ed edb_gtk_ed edb_vt_et
- spec cleaning
- don't build libedb-devel-static by default

* Fri Jun 13 2003 Alex Murygin <murygin@altlinux.ru> 1.0.3-alt4_20030613
- Updated from cvs.

* Sat Mar 15 2003 Alex Murygin <murygin@altlinux.ru> 1.0.3-alt4_20030315
- Updated from cvs.
- Add --enable-cxx

* Sun Nov 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt3_20021123
- Updated from cvs.

* Wed Oct 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt2
- Rebuild with gcc-3.2

* Thu Apr 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3 

* Thu Apr 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.2-alt2
- Libification.

* Tue Apr 3 2001 AEN <aen@logic.ru> 1.0.2-alt1
- first spec for Sisyphus
